Page MenuHomePhabricator

Frameless mapframe ignoring width
Closed, ResolvedPublic

Description

Mapframe with the frameless attribute is ignoring the value in the width attribute.
Examples from User:Evad37/Sandbox 11 on enwiki:

==Frameless==
<mapframe zoom="10" frameless="1" align="center" longitude="-122.399112" latitude="37.785407" height="200" width="270">{"type":"Feature","geometry":{"coordinates":[-122.399112,37.785407],"type":"Point"},"properties":{"marker-color":"#5E74F3","title":"Benu","marker-symbol":"restaurant"}}</mapframe>

==Framed==
<mapframe zoom="10" align="center" longitude="-122.399112" latitude="37.785407" height="200" width="270">{"type":"Feature","geometry":{"coordinates":[-122.399112,37.785407],"type":"Point"},"properties":{"marker-color":"#5E74F3","title":"Benu","marker-symbol":"restaurant"}}</mapframe>

results in


instead of the frameless map being the same size as the framed map.

This size bug only affects the saved page, not the edit preview (when using source editor):


(the difference in thumbnail images is bug T248722)

Event Timeline

Evad37 created this task.Mar 28 2020, 12:01 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptMar 28 2020, 12:01 AM
Evad37 updated the task description. (Show Details)Mar 28 2020, 12:06 AM
Evad37 updated the task description. (Show Details)Mar 28 2020, 12:21 AM
Evad37 added a subscriber: TheDJ.

@TheDJ Could this be related to this change to the CSS, deployed this week?

TheDJ added a comment.Mar 30 2020, 8:22 AM

yes i'm on it. I plan to fix this today and then the update should roll out in the next update.

TheDJ triaged this task as Unbreak Now! priority.Mar 30 2020, 6:56 PM

Change 583922 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/Kartographer@master] Fix width of mapframes

https://gerrit.wikimedia.org/r/583922

Change 583922 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Fix width of mapframes

https://gerrit.wikimedia.org/r/583922

TheDJ closed this task as Resolved.Mar 31 2020, 7:56 AM
TheDJ claimed this task.